<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net472</TargetFramework>
		<UseWPF>true</UseWPF>
		<Version>1.0.1</Version>
		<ApplicationIcon>favicon.ico</ApplicationIcon>
		<ApplicationManifest>app.manifest</ApplicationManifest>
	</PropertyGroup>
	<ItemGroup>
		<Content Include="favicon.ico" />
		<Resource Include="Assets\**" />
		<None Update="Configs\**">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
	</ItemGroup>
	<ItemGroup>
		<!--<PackageReference Include="Costura.Fody" Version="6.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>-->
		<PackageReference Include="HandyControl" Version="3.5.1" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
		<PackageReference Include="Microsoft.Xaml.Behaviors.Wpf" Version="1.1.135" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="System.Windows.Forms" />
	</ItemGroup>
	<ItemGroup>
		<!-- JSON框架 -->
		<PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
		<!-- 模板引擎 -->
		<PackageReference Include="JinianNet.JNTemplate" Version="2.4.3" />
		<!-- 日志框架 -->
		<PackageReference Include="NLog" Version="6.0.2" />
		<!-- WEB 自宿主 -->
		<PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="9.0.9" />
		<PackageReference Include="Microsoft.AspNet.WebApi.Owin" version="5.3.0" />
		<PackageReference Include="Microsoft.AspNet.WebApi.Core" Version="5.3.0" />
		<PackageReference Include="Microsoft.Owin" Version="4.2.3" />
		<PackageReference Include="Microsoft.Owin.Host.SystemWeb" Version="4.2.3" />
		<PackageReference Include="Microsoft.AspNet.WebApi.OwinSelfHost" Version="5.3.0" />
		<PackageReference Include="Microsoft.AspNet.Identity.Owin" Version="2.2.4" />
		<PackageReference Include="Swashbuckle.Core" version="5.6.0" />
		<PackageReference Include="Beginor.Owin.StaticFile" Version="0.3.1" />
		<PackageReference Include="Microsoft.AspNet.Mvc" Version="5.3.0" />
	</ItemGroup>
	<ItemGroup>
	  <Content Include="Upload\0.jpg">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </Content>
	</ItemGroup>
</Project>
